#sink("sink-examp.txt")

#VP BL LEX BED ALL ANS1 ANS2 RT1 RT2
cleft=read.table("cleftneu.dat",header=T)
summary(cleft)
head(cleft)
str(cleft)

attach(cleft)
summary(cleft)

library(psych)
#
library(Rcmdr)
#
library(lme4)
#
library(languageR)

#library(MASS)
#sink("c:/R_data/record.lis")


##schmeit die nicht bentigten bedingungen raus


cleft$BED <- recode(cleft$BED, '"e"= NA; "f"= NA; "g"=NA; "h"=NA')
cleft <- na.omit(cleft)

summary(cleft)
head(cleft)

cleft$VP <- as.factor(cleft$VP)
cleft$LEX <- as.factor(cleft$LEX)
cleft$BED <- as.factor(cleft$BED)
cleft$BL <- as.factor(cleft$BL)





#####ersetzen der 2 durch 1 und der 1 durch 0

cleft$ANS1 <- ifelse(cleft$ANS1==2,1,ifelse(cleft$ANS1==1,0,NA))

cleft$ANS2 <- ifelse(cleft$ANS2==2,1,ifelse(cleft$ANS2==1,0,NA))

summary(cleft)

str(cleft)

xtabs(~VP+BED,cleft)


###gibt einen berblick nach VP, um "Ja-Sager/Nein-Sager auszuschlieen)
numSummary(cleft[,"ANS1"], groups=cleft$VP, statistics=c("mean", "sd", "quantiles"))

numSummary(cleft[,"RT1"], groups=cleft$VP, statistics=c("mean", "sd", "quantiles"))

numSummary(cleft[,"ANS1"], groups=cleft$BED, statistics=c("mean", "sd", "quantiles"))

numSummary(cleft[,"RT1"], groups=cleft$BED, statistics=c("mean", "sd", "quantiles"))

###probes

numSummary(cleft[,"ANS2"], groups=cleft$VP, statistics=c("mean", "sd", "quantiles"))

numSummary(cleft[,"RT2"], groups=cleft$VP, statistics=c("mean", "sd", "quantiles"))

numSummary(cleft[,"ANS2"], groups=cleft$BED, statistics=c("mean", "sd", "quantiles"))

numSummary(cleft[,"RT2"], groups=cleft$BED, statistics=c("mean", "sd", "quantiles"))




par(mfrow = c(2, 1))

qq.plot(cleft$RT1, dist= "norm", labels=FALSE)

qq.plot(log(cleft$RT1), dist= "norm", labels=FALSE)

qq.plot(log(cleft$RT2), dist= "norm", labels=FALSE)




#clefta <- cleft

###RT1

clefta <- subset(cleft, RT1<2500 & RT1>100)

qq.plot(clefta$RT1, dist= "norm", labels=FALSE)

clefta$logRT1 <- with(clefta,log(RT1))

par(mfrow = c(1, 1))

plotMeans(clefta$logRT1, clefta$BED, error.bars="conf.int", level=0.95, ylab="Reaktionszeit log-transformiert", xlab="Bedingungen", main = "Mittelwerte mit Konfidenzintervall (95%)")

library(gplots)

plotmeans(clefta$logRT1 ~ clefta$BED, error.bars="conf.int", p=0.95, ylim=c(6,6.5), ylab="Reaktionszeit log-transformiert", xlab="Bedingungen", main = "Mittelwerte mit Konfidenzintervall (95%)")

#boxplot(RT1~BED, ylab="Reaktionszeit", xlab="Bedingungen", data=clefta)

boxplot(logRT1~BED, ylab="Reaktionszeit log-transformiert", xlab="Bedingungen", data=clefta)

###Antworten (ANS1)

plotMeans(clefta$ANS1, clefta$BED, error.bars="conf.int", level=0.95, ylab="Antworten", xlab="Bedingungen", main = "Mittelwerte mit Konfidenzintervall (95%)")

#library(gplots)

plotmeans(clefta$ANS1 ~ clefta$BED, error.bars="conf.int", p=0.95, ylim=c(0.4,0.95), ylab="Antworten", xlab="Bedingungen", main = "Mittelwerte mit Konfidenzintervall (95%)")


###RT2

cleftb <- subset(cleft, RT2<2500 & RT2>100)

qq.plot(cleftb$RT2, dist= "norm", labels=FALSE)

cleftb$logRT2 <- with(cleftb,log(RT2))

par(mfrow = c(1, 1))

plotMeans(cleftb$logRT2, cleftb$BED, error.bars="conf.int", level=0.95, ylab="Reaktionszeit log-transformiert", xlab="Bedingungen", main = "Mittelwerte (Probes) mit Konfidenzintervall (95%)")


#library(gplots)

plotmeans(cleftb$logRT2 ~ cleftb$BED, error.bars="conf.int", p=0.95, ylim=c(6.5,7), ylab="Reaktionszeit log-transformiert", xlab="Bedingungen", main = "Mittelwerte mit Konfidenzintervall (95%)")

#boxplot(RT2~BED, ylab="Reaktionszeit", xlab="Bedingungen", data=cleftb)

boxplot(logRT2~BED, ylab="Reaktionszeit log-transformiert", xlab="Bedingungen", data=cleftb)


###Antworten (ANS2)

plotMeans(clefta$ANS2, clefta$BED, error.bars="conf.int", level=0.95, ylab="Antworten", xlab="Bedingungen", main = "Mittelwerte mit Konfidenzintervall (95%)")

#library(gplots)

plotmeans(clefta$ANS2 ~ clefta$BED, error.bars="conf.int", p=0.95, ylim=c(0.85,1), ylab="Antworten", xlab="Bedingungen", main = "Mittelwerte mit Konfidenzintervall (95%)")

###zusammenfassungen clefta

numSummary(clefta$ANS1 , groups=clefta$BED, statistics=c("mean", "sd"))
numSummary(clefta$logRT1 , groups=clefta$BED, statistics=c("mean", "sd"))

###zusammenfassungen cleftb

numSummary(cleftb$ANS2 , groups=cleftb$BED, statistics=c("mean", "sd"))
numSummary(cleftb$logRT2 , groups=cleftb$BED, statistics=c("mean", "sd"))


###spielerei ueber alle bedingungen
summary(ans1.all <- lmer(ANS1~BED+(1|VP)+(1|LEX),clefta,family=binomial))
#pvals.fnc(lm.ansj)

summary(RT1.all <- lmer(logRT1~BED+(1|VP)+(1|LEX),clefta))
pvals.fnc(RT1.all)
#######
# vergleiche definieren clefta
clefta$avsb <- recode(clefta$BED, '"c"= NA; "d"= NA;  "i"= NA;  "j"= NA;', as.factor.result=TRUE)
head(clefta)
clefta$cvsd <- recode(clefta$BED, '"a"= NA; "b"= NA;  "i"= NA;  "j"= NA;', as.factor.result=TRUE)
head(clefta)
clefta$ivsj <- recode(clefta$BED, '"a"= NA; "b"= NA;  "c"= NA;  "d"= NA;', as.factor.result=TRUE)
head(clefta)

str(clefta)

# vergleiche definieren cleftb
cleftb$avsb <- recode(cleftb$BED, '"c"= NA; "d"= NA;  "i"= NA;  "j"= NA;', as.factor.result=TRUE)
head(cleftb)
cleftb$cvsd <- recode(cleftb$BED, '"a"= NA; "b"= NA;  "i"= NA;  "j"= NA;', as.factor.result=TRUE)
head(cleftb)
cleftb$ivsj <- recode(cleftb$BED, '"a"= NA; "b"= NA;  "c"= NA;  "d"= NA;', as.factor.result=TRUE)
head(cleftb)
str(cleftb)


####statistik fuer clefta (beurteilung der saetze)

##a versus b
summary(ans1.avsb <- lmer(ANS1~avsb+(1|VP)+(1|LEX),clefta,family=binomial))

summary(RT1.avsb <- lmer(logRT1~avsb+(1|VP)+(1|LEX),clefta))
#pvals.fnc(RT1.avsb)


##c versus d
summary(ans1.cvsd <- lmer(ANS1~cvsd+(1|VP)+(1|LEX),clefta,family=binomial))

summary(RT1.cvsd <- lmer(logRT1~cvsd+(1|VP)+(1|LEX),clefta))
#pvals.fnc(RT1.cvsd)

##i versus j
summary(ans1.ivsj <- lmer(ANS1~ivsj+(1|VP)+(1|LEX),clefta,family=binomial))

summary(RT1.ivsj <- lmer(logRT1~ivsj+(1|VP)+(1|LEX),clefta))
#pvals.fnc(RT1.cvsd)


####statistik fuer cleftb (probes)

##a versus b
summary(ans2.avsb <- lmer(ANS2~avsb+(1|VP)+(1|LEX),cleftb,family=binomial))

summary(RT2.avsb <- lmer(logRT2~avsb+(1|VP)+(1|LEX),cleftb))
#pvals.fnc(RT2.avsb)


##c versus d
summary(ans2.cvsd <- lmer(ANS2~cvsd+(1|VP)+(1|LEX),cleftb,family=binomial))

summary(RT2.cvsd <- lmer(logRT2~cvsd+(1|VP)+(1|LEX),cleftb))
#pvals.fnc(RT2.cvsd)

##i versus j
summary(ans2.ivsj <- lmer(ANS2~ivsj+(1|VP)+(1|LEX),cleftb,family=binomial))

summary(RT2.ivsj <- lmer(logRT2~ivsj+(1|VP)+(1|LEX),cleftb))
#pvals.fnc(RT2.cvsd)



#sink()
