#sink("sink-examp.txt")

#rm(list = ls())

#source("c:/Programme/R/R-2.6.1/functions/plmer.r")

spalt = read.table("fuerR90erneu.txt", header=T)

head(spalt)
summary(spalt)
spalt <- na.omit(spalt)
summary(spalt)

library(psych)

#library(Rcmdr)

library(lme4)

#describe(spalt)
describe.by(spalt, spalt$Wert)

boxplot(Wert~BED, ylab="Wert", xlab="BED", data=spalt)


par(mfrow = c(1, 3))

aov.spalt.1 = aov(Wert~BED+Error(VP/(BED)), spalt)
summary(aov.spalt.1)

library(car)

spalt$vergl.1vs2 <- recode(spalt$BED, '"drei"= NA; "vier"= NA; ', as.factor.result=TRUE)

aov.spalt.verg1vs2 = aov(Wert~vergl.1vs2+Error(VP/(vergl.1vs2)), spalt)
summary(aov.spalt.verg1vs2)


spalt$vergl.3vs4 <- recode(spalt$BED, '"eins"= NA; "zwei"= NA; ', as.factor.result=TRUE)

aov.spalt.verg3vs4 = aov(Wert~vergl.3vs4+Error(VP/(vergl.3vs4)), spalt)
summary(aov.spalt.verg3vs4)

spalt$vergl.1vs3 <- recode(spalt$BED, '"zwei"= NA; "vier"= NA; ', as.factor.result=TRUE)

aov.spalt.verg1vs3 = aov(Wert~vergl.1vs3+Error(VP/(vergl.1vs3)), spalt)
summary(aov.spalt.verg1vs3)


spalt$vergl.1vs4 <- recode(spalt$BED, '"zwei"= NA; "drei"= NA; ', as.factor.result=TRUE)

aov.spalt.verg1vs4 = aov(Wert~vergl.1vs4+Error(VP/(vergl.1vs4)), spalt)
summary(aov.spalt.verg1vs4)

spalt$vergl.2vs3 <- recode(spalt$BED, '"eins"= NA; "vier"= NA; ', as.factor.result=TRUE)

aov.spalt.verg2vs3 = aov(Wert~vergl.2vs3+Error(VP/(vergl.2vs3)), spalt)
summary(aov.spalt.verg2vs3)

spalt$vergl.2vs4 <- recode(spalt$BED, '"eins"= NA; "drei"= NA; ', as.factor.result=TRUE)

aov.spalt.verg2vs4 = aov(Wert~vergl.2vs4+Error(VP/(vergl.2vs4)), spalt)
summary(aov.spalt.verg2vs4)




#contrasts(spalt$BED) <- "contr.Treatment"

#aov.spalt.1 = aov(Wert~BED+Error(VP/(BED)), spalt)
#summary(aov.spalt.1)

#print(model.tables(aov.spalt.1,"means"),digits=3)

library(Rcmdr)

plotMeans(spalt$Wert, spalt$BED, error.bars="se")

contrasts(spalt$BED)

spalt.lm = lmer(Wert~BED+(1 | VP),data=spalt)

qq.plot(residuals(spalt.lm))

pvals.fnc(spalt.lm)

spalt.lm1 = lmer(Wert~vergl.1vs2+(1 | VP),data=spalt)

qq.plot(residuals(spalt.lm))

pvals.fnc(spalt.lm1)


spalt.lm2 = lmer(Wert~vergl.3vs4+(1 | VP),data=spalt)

pvals.fnc(spalt.lm2)

#sink()

hist(spalt$Wert)
